# Class InternalUiResources

java.lang.Object
com.lightdev.app.shtm.InternalUiResources

All Implemented Interfaces:
  `UIResources`

public class InternalUiResources extends Object implements UIResources
Default implementation of TextResources based on java.util.ResourceBundle

## Constructor Summary

Constructors
Constructor
Description
`InternalUiResources(ResourceBundle languageResources)`
`InternalUiResources(ResourceBundle languageResources, Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`Icon`
`getIcon(String name)`
`String`
`getString(String key)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InternalUiResources

public InternalUiResources(ResourceBundle languageResources)

### InternalUiResources

public InternalUiResources(ResourceBundle languageResources, Properties properties)

## Method Details

### getString

public String getString(String key)

Specified by:
  `getString` in interface `UIResources`

### getIcon

public Icon getIcon(String name)

Specified by:
  `getIcon` in interface `UIResources`